TSHTTPHDRHOSTGET(3ts)

NAME
TSHttpHdrHostGet - TSHttpHdrHostGet API function

SYNOPSIS

            #include <ts/ts.h>

    const char *TSHttpHdrHostGet(TSMBuffer bufp, TSMLoc offset, int *length)

DESCRIPTION

Get the host for the request. bufp and offset must reference an HTTP request header. A pointer to the host is returned and the length is stored in the int pointed at by length. Note the returned text may not be null terminated. The URL in the request is checked first then the Host header field.

NOTE:
        This is much faster than calling TSHttpTxnEffectiveUrlStringGet() and extracting the host from the result.

COPYRIGHT
2025, dev@trafficserver.apache.org